gethead(1)(WCSTools)

Name
gethead - Print FITS or IRAF header keyword values

Synopsis
gethead [-hptv] [-d pathname] [-n num] <FITS or IRAF file> kw1 kw2 ... kwn

Description
Print values of the specified keywords from the given image header. By default they are all listed on one line, separated by spaces. The -v flag causes the keyword names and values to be printed, one keyword per line. To read keywords from a list of files, substitute @<listfile> for the file names on the command line. To read a lot of keywords, put them, one per line, in a file and substitute @<keylistfile> on the command line. If two @ commands are present, the program will figure out which contains file names and which contains keywords.

Options

-a  List file name even if keywords are not found

-d  Root directory for input files (default is cwd)

-e  Output keyword=value's on one line per file

-f  Never print filenames (default is to print them if more than one)

-g  Output keyword=value's on one line per keyword

-h  flag causes the keyword names to be printed at top of columns.

-n  Number of decimal places in numeric output

-o  OR conditions instead of ANDing them

-p  Print full pathnames of files

-t  flag causes the output to be in tab-separated tables with keyword column headings.

-u  Always print ___ if keyword not found, event if only one keyword in search

-v  Print output as <keyword>=<value>, one per line

Web Page
http://tdc-www.harvard.edu/software/wcstools/gethead.html

Author
Doug Mink, SAO (dmink@cfa.harvard.edu)